<?php
!defined('M_P') && exit('Forbidden');
require_once(R_P.'require/credit.php');

if ($db_question && $o_share_qcheck) {
	$qkey = array_rand($db_question);
}

if(!$winduid) Showmsg('not_login');
InitGP(array('u','username'));
if ($username) {
	$sqladd = 'm.username='.pwEscape($username);
} else{
	$u = (int) $u;
	$u = $u ? $u : $winduid;
	$sqladd = 'm.uid='.pwEscape($u);
}

include_once(D_P.'data/bbscache/level.php');
require_once(R_P.'require/showimg.php');

$userdb = $db->get_one("SELECT m.uid,m.username,m.email,m.groupid,m.memberid,m.icon,m.gender,m.regdate,m.introduce,m.oicq,m.msn,m.yahoo,m.site,m.location,m.honor,m.bday,m.medals,m.userstatus,md.thisvisit,md.onlinetime,md.postnum,md.digests,md.rvrc,md.money,md.credit,md.lastvisit,md.lastpost,md.todaypost,md.onlineip,md.f_num,ud.index_privacy,ud.profile_privacy,ud.info_privacy,ud.credit_privacy,ud.owrite_privacy,ud.msgboard_privacy,ud.visits,ud.tovisit,ud.whovisit FROM pw_members m LEFT JOIN pw_memberdata md ON m.uid=md.uid LEFT JOIN pw_ouserdata ud ON m.uid=ud.uid WHERE ".$sqladd);
if (empty($userdb)) {
	$errorname = '';
	Showmsg('user_not_exists');
}
$u = $userdb['uid'];

$atc_name = getLangInfo('o','user',false,1);
$title = "$userdb[username] ($db_bbsurl/{$basename}q=user&u=$userdb[uid])";

list($isU,$privacy) = pwUserPrivacy($u,$userdb);
$ismyfriend = isFriend($winduid,$u);
$userdb['honor'] = substrs($userdb['honor'],90);
$usericon = showfacedesign($userdb['icon'],true);

if ($db_ifonlinetime && $userdb['onlinetime']) {
	$userdb['onlinetime'] = floor($userdb['onlinetime']/3600);
} else {
	$userdb['onlinetime'] = 0;
}
$systitle = $userdb['groupid']=='-1' ? '' : $ltitle[$userdb['groupid']];
$memtitle = $ltitle[$userdb['memberid']];
$usercredit = array(
	'postnum'	 => $userdb['postnum'],
	'digests'	 => $userdb['digests'],
	'rvrc'		 => $userdb['rvrc'],
	'money'		 => $userdb['money'],
	'credit'	 => $userdb['credit'],
	'onlinetime' => $userdb['onlinetime']
);
foreach ($credit->get($userdb['uid'],'CUSTOM') as $key => $value) {
	$usercredit[$key] = $value;
}

$totalcredit = CalculateCredit($usercredit,unserialize($db_upgrade));
$userdb['rvrc'] = floor($userdb['rvrc']/10);
if (!$userdb['todaypost'] || $userdb['lastpost'] < $tdtime) $userdb['todaypost'] = 0;
$averagepost = floor($userdb['postnum']/(ceil(($timestamp - $userdb['regdate'])/(3600*24))));
$userdb['regdate'] = get_date($userdb['regdate'],'Y-m-d');
$userdb['lastvisit'] = get_date($userdb['lastvisit'],'Y-m-d');
$userdb['onlineip']= explode('|',$userdb['onlineip']);
if ($privacy['index']) {
	$feeds = array();
	if (!$db_dopen) {
		$addwhere = " AND f.type!='diary'";
	}
	if (!$db_phopen) {
		$addwhere .= " AND f.type!='photo'";
	}
	if (!$o_share_open) {
		$addwhere .= " AND f.type!='share'";
	}
	if (!$o_groups_open) {
		$addwhere .= " AND f.type!='colony'";
	}
	$query = $db->query("SELECT f.*,m.username,m.groupid FROM pw_feed f LEFT JOIN pw_members m ON f.uid=m.uid WHERE f.uid= ".pwEscape($u)." $addwhere ORDER BY f.timestamp DESC LIMIT 30");
	while ($rt = $db->fetch_array($query)) {
		$rt['descrip'] = parseFeed($rt['descrip']);
		if ($rt['groupid'] == 6 && $db_shield && $groupid != 3) {
			$rt['descrip'] = appShield('ban_feed');
		}
		$key = get_date($rt['timestamp'],'y-m-d');
		$feeds[$key][] = $rt;
	}
}
$friends = getFriends($u,0,18,'',1);
if ($privacy['msgboard']) {
	$boards = array();
	$query = $db->query("SELECT o.*,m.icon as face,m.groupid FROM pw_oboard o LEFT JOIN pw_members m ON o.uid=m.uid WHERE o.touid=".pwEscape($u)." ORDER BY o.id DESC ".pwLimit(0,15));
	while ($rt = $db->fetch_array($query)) {
		$rt['postdate']	= get_date($rt['postdate']);
		list($rt['face'])	=  showfacedesign($rt['face'],1,'s');
		if ($rt['groupid'] == 6 && $db_shield && $groupid != 3) {
			$rt['title'] = appShield('ban_feed');
		}
		$boards[] = $rt;
	}
}

$whovisit = unserialize($userdb['whovisit']);
$tovisit = unserialize($userdb['tovisit']);
is_array($whovisit) || $whovisit = array();
is_array($tovisit) || $tovisit = array();
if ($isU != 2) {
	if (!isset($whovisit[$winduid]) || $timestamp - $whovisit[$winduid] > 900) {
		$whovisit[$winduid] = $timestamp;
		$userdb['visits']++;
		arsort($whovisit);
		if (count($whovisit) > 9) array_pop($whovisit);
		$db->pw_update(
			"SELECT uid FROM pw_ouserdata WHERE uid=".pwEscape($u),
			"UPDATE pw_ouserdata SET visits=".pwEscape($userdb['visits'],false).",whovisit=".pwEscape(serialize($whovisit),false)."WHERE uid=".pwEscape($u),
			"INSERT INTO pw_ouserdata SET " . pwSqlSingle(array(
				'uid'		=> $u,
				'visits'	=> $userdb['visits'],
				'whovisit'	=> serialize($whovisit)
			))
		);
	}

	$windVisit = $db->get_value("SELECT tovisit FROM pw_ouserdata WHERE uid=".pwEscape($winduid,false));
	$windVisit = unserialize($windVisit);
	is_array($windVisit) || $windVisit = array();
	if (!isset($windVisit[$u]) || $timestamp - $windVisit[$u] > 900) {
		$windVisit[$u] = $timestamp;
		arsort($windVisit);
		if (count($windVisit) > 9) array_pop($windVisit);
		$db->update("UPDATE pw_ouserdata SET tovisit=".pwEscape(serialize($windVisit),false)."WHERE uid=".pwEscape($winduid));
	}
}
$visituids = array_merge(array_keys($whovisit),array_keys($tovisit));
if ($visituids) {
	$query = $db->query("SELECT m.uid,m.username,m.icon,m.honor,md.thisvisit FROM pw_members m LEFT JOIN pw_memberdata md ON m.uid=md.uid WHERE m.uid IN (".pwImplode($visituids,false).")");
	while($rt = $db->fetch_array($query)) {
		list($rt['icon']) = showfacedesign($rt['icon'],1,'s');
		if($db_showonline && $rt['thisvisit']+$db_onlinetime*1.5>$timestamp){
			$rt['thisvisit'] = 1;
		} else {
			$rt['thisvisit'] = 0;
		}
		if (isset($whovisit[$rt['uid']])) {
			$whovisit[$rt['uid']] = get_date($whovisit[$rt['uid']],($whovisit[$rt['uid']] < $tdtime ? 'm-d' : 'H:i'));
			$whovisit[$rt['uid']] = array('visittime'=>$whovisit[$rt['uid']]) + $rt;
		}
		if (isset($tovisit[$rt['uid']])) {
			$tovisit[$rt['uid']] = get_date($tovisit[$rt['uid']],($tovisit[$rt['uid']] < $tdtime ? 'm-d' : 'H:i'));
			$tovisit[$rt['uid']] = array('visittime'=>$tovisit[$rt['uid']]) + $rt;
		}
	}
}

function CalculateCredit($creditdb,$upgradeset) {
	$credit = 0;
	foreach ($upgradeset as $key => $val) {
		if ($creditdb[$key] && $val) {
			if ($key == 'rvrc') {
				$creditdb[$key] /= 10;
			} 
			$credit += $creditdb[$key]*$val;
		}
	}
	return (int)$credit;
}

require_once(R_P.'require/header.php');
require_once PrintEot('m_user');
footer();
?>