
lang='zh_cn';

I18N = {

	wind_help_1 : 'Wind 代码 - 帮助信息\n\n点击相应的代码按钮即可获得相应的说明和提示',
	wind_help_2 : 'Wind 代码 - 直接插入\n\n点击代码按钮后不出现提示即直接插入相应代码',
	wind_help_3 : 'Wind 代码 - 提示插入\n\n点击代码按钮后出现向导窗口帮助您完成代码插入',
	currentbits : '您的信息已有字节数：',
	maxbits		: '系统限制最大字节数：',
	fontsize : '文字大小标记\n设置文字大小.\n可变范围 1 - 6.\n 1 为最小 6 为最大.\n用法: ',
	word : '文字',
	setfont : '字体标记\n给文字设置字体.\n用法: ',
	fontword : '要设置字体的文字',
	setcolor : '颜色标记\n设置文本颜色.  任何颜色名都可以被使用.\n用法: ',
	color : '选择的颜色是: ',
	setbold : '加粗标记\n使文本加粗.\n用法: [b]这是加粗的文字[/b]',
	blogword : '文字将被变粗.',
	setitalic : '斜体标记\n使文本字体变为斜体.\n用法: [i]这是斜体字[/i]',
	italicword : '文字将变斜体',
	quote : '引用标记\n引用一些文字.\n用法: [quote]引用内容[/quote]',
	quoteword : '被引用的文字',
	setfly : '飞行标记\n使文字飞行.\n用法: [fly]文字为这样文字[/fly]',
	flyword : '飞行文字',
	setmove : '移动标记\n使文字产生移动效果.\n用法: [move]要产生移动效果的文字[/move]',
	moveword : '要产生移动效果的文字',
	setshadow : '阴影标记\n使文字产生阴影效果.\n用法: [SHADOW=宽度, 颜色, 边界]要产生阴影效果的文字[/SHADOW]',
	shadowsize : '文字的长度、颜色和边界大小',
	shadowword : '要产生阴影效果的文字',
	setglow : '光晕标记\n使文字产生光晕效果.\n用法: [GLOW=宽度, 颜色, 边界]要产生光晕效果的文字[/GLOW]',
	glowsize : '文字的长度、颜色和边界大小',
	glowword : '要产生光晕效果的文字',
	align : '对齐标记\n使用这个标记, 可以使文本左对齐、居中、右对齐.\n用法: [align=center|left|right]要对齐的文本[/align]',
	alignway : '对齐样式\n输入 ’center’ 表示居中, ’left’ 表示左对齐, ’right’ 表示右对齐.',
	alignerror : '错误!\n类型只能输入 ’center’ 、 ’left’ 或者 ’right’.',
	aligntext : '要对齐的文本',
	setrm : 'RM音乐标记\n插入一个RM链接标记\n使用方法: [rm=宽度,高度,自动播放]http://www.phpwind.net/rm/php.rm[/rm]',
	setimg : '图片标记\n插入图片\n用法: [img]http://www.phpwind.net/image/php.gif[/img]',
	setwmv : 'wmv标记\n插入wmv\n用法: [wmv=宽度,高度,自动播放]http://www.phpwind.net/wmv/php.wmv[/wmv]',
	wha : '宽度,高度,自动播放',
	seturl : 'url标记\n使用url标记,可以使输入的url地址以超链接的形式在帖子中显示.\n使用方法:\n [url]url地址[/url]',
	urlname : 'URL 名称: 比如 进入 phpwind 网站(可以为空)',
	setcode : '代码标记\n使用代码标记,可以使你的程序代码里面的 html 等标志不会被破坏.\n使用方法:\n [code]这里是代码文字[/code]',
	codeword : '输入代码',
	setlist : '列表标记\n建造一个文字或则数字列表.\nUSE: [list]\n[*]item1\n[*]item2\n[*]item3\n[/list]',
	listtype : '列表类型\n输入 ’a’ 表示字母列表, ’1’ 表示数字列表, 留空表示普通列表.',
	listerror : '错误!\n类型只能输入 ’a’、’A’ 、 ’1’ 或者留空.',
	listitem : '列表项\n空白表示结束列表',
	underline : '下划线标记\n给文字加下划线.\n用法: [u]要加下划线的文字[/u]',
	underlineword : '下划线文字',
	setflash : 'Flash 动画\n插入 Flash 动画.\n用法: [flash=宽度,高度]Flash 文件的地址[/flash]',
	flashsize : '宽度,高度',
	setsearch : '替换关键字',
	search : '请输入搜寻目标关键字',
	replace : '关键字替换为:',
	loaddata_error : '您的浏览器不支持此功能',
	loaddata_confirm : '恢复数据将会覆盖当前内容，是否继续?',
	loaddata_msg_none : '当前没有可恢复的数据!',
	inserttable : '插入表格',
	tablerows : '表格行数：',
	tablecols : '表格列数：',
	tablewidth : '表格宽度：',
	tableunit : '长度单位：',
	insertmedia : '插入多媒体',
	mediaurl : '链接地址：',
	mediaurl_empty : 'url链接地址不能为空',
	mediatype : '媒体类型：',
	medialength : '显示尺寸：',
	mediawidth : '[长]',
	mediaheight : '[宽]',
	mediaplay : '播放控制：',
	mediaauto : '自动播放',
	showsale : '发表交易帖',
	seller : '卖家帐号',
	salename : '商品名称',
	saleprice : '商品价格',
	saledes : '商品描述',
	transport : '邮费承担',
	transport1 : '卖家承担',
	transport2 : '买家承担',
	transport3 : '平邮',
	transport4 : '快递',
	yuan : '元',
	demo : '演示地址',
	contact : '联系方式',
	md : '收款方式',
	salemoney3 : '快钱',
	salemoney1 : '贝宝',
	salemoney2 : '支付宝',
	salemoney4 : '财付通',
	seller_empty : '卖家帐号不能为空。',
	sell : '请输入价格:',
	subject_empty : '商品名称不能为空。',
	price_empty : '商品价格不能为空。',
	submit : '提 交',
	magicuse : '已使用动漫传情:',
	use : '使 用',
	cancel : '取 消',
	preview : '预 览',
	showcreatelink : '插入url链接',
	linkdiscrip : '链接说明',
	linkaddress : '链接地址',
	linktype	: '是否为下载地址',
	yes			: '是',
	no			: '否',
	download	: '点击这里下载',
	addlink		: '添加'
}